import request from '@/utils/request'
import Qs from 'qs'

/**
 * 1. 列表查询
 * 2. 查询详细信息
 * 3. 新增
 * 4. 修改
 * 5. 逻辑删除
 * 6. 导出
 *
 */

// 1. 查询库存管理列表
export function listIncomeWmsBoxPd(query) {
  return request({
    url: '/incomewmsboxpd/list',
    method: 'get',
    params: query
  })
}
export function listIncomeWmsBox(query) {
  return request({
    url: '/incomewmsbox/list',
    method: 'get',
    params: query
  })
}
// 2. 查询库存管理详细信息
export function getIncomeWmsBoxPd(businessId) {
  return request({
    url: '/incomewmsboxpd/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增库存管理
export function addIncomeWmsBoxPd(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomewmsboxpd/addQuantity',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}

// 4. 修改库存管理
export function updateIncomeWmsBox(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomewmsboxpd/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 删除库存管理
export function delIncomeWmsBoxPd(businessId) {
  return request({
    url: '/incomewmsboxpd/delete/' + businessId,
    method: 'delete'
  })
}
// truncate截断表
export function truncateIncomeWmsBoxPd() {
  return request({
    url: '/incomewmsboxpd/truncate',
    method: 'delete'
  })
}

// 6. 导出库存管理
export function exportIncomeWmsBoxPd(query) {
  return request({
    url: '/incomewmsboxpd/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

export function checkIsZero(data) {
  return request({
    url: 'incomewmsboxpd/checkIsZero',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}
