import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

export function listOutcomeWmsJbapplyTemp(query) {
  return request({
    url: '/outcomewmsjbapplytemp/list',
    method: 'get',
    params: query
  })
}
export function listOutTemp(businessId) {
  return request({
    url: '/outcomewmsjbapplytemp/detailOut/' + businessId,
    method: 'get'
  })
}
export function getOutcomeWmsJbapplyTemp(businessId) {
  return request({
    url: '/outcomewmsjbapplytemp/detail/' + businessId,
    method: 'get'
  })
}

export function addOutcomeWmsJbapplyTemp(data) {
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsjbapplytemp/add',
    method: 'post',
    data: data
  })
}

export function updateOutcomeWmsJbapplyTemp(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsjbapplytemp/update/' + businessId,
    method: 'put',
    data
  })
}

export function delOutcomeWmsJbapplyTemp(businessId) {
  return request({
    url: '/outcomewmsjbapplytemp/deleteLogical/' + businessId,
    method: 'delete'
  })
}

export function exportOutcomeWmsJbapplyTemp(query) {
  return request({
    url: '/outcomewmsjbapplytemp/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 下载空模板
export function getDownloadTemplate(query) {
  return request({
    url: '/outcomewmsjbapplytemp/downloadTemplate',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 导入字典数据信息
export function importJbapplyExcel(data) {
  return request({
    url: '/outcomewmsjbapplytemp/importJbapplyData',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 根据pn,ptype,lot去查box表的qty
export function queryByPnAndPtypeAndLot(data) {
  return request({
    url: '/outcomewmsjbapplytemp/queryByPnAndPtypeAndLot',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}

// 获取orderCode
export function acquireOrderByCode() {
  return request({
    url: '/outcomewmsjbapplytemp/acquireOrderByCode',
    method: 'get'
  })
}

